<?php
    require_once 'config/db.php';
    require_once 'config/function.php';

    $bugun = date('Y-m-d');

    $gunler = array();
    $gunler[1] = "Pazartesi";
    $gunler[2] = "Salı";
    $gunler[3] = "Çarşamba";
    $gunler[4] = "Perşembe";
    $gunler[5] = "Cuma";
    $gunler[6] = "Cumartesi";
    $gunler[7] = "Pazar";

    // error_reporting(E_ALL);
    // ini_set("display_errors", 1);

    // $subekodu = temizle($_GET["id"]);

    $sayfadakactane = 9;

    if(isset($_GET["word"])){
        
        $aramano = temizle($_GET["word"]);

        $arama = $db->query("SELECT metin FROM aramalar WHERE aramano='{$aramano}'")->fetch();
        if($arama){
            $metin = $arama->metin;
            $metin = mb_strtolower($metin);
            $sorgu = $db->query("SELECT gruplar.*,subeler.il,subeler.subeadi,brans.seobrans FROM gruplar INNER JOIN subeler ON subeler.subekodu=gruplar.subekodu INNER JOIN brans ON brans.ID=gruplar.bransid WHERE subeler.durum=1 AND subeler.liste=1 AND gruplar.durum=1 AND gruplar.status=1 AND gruplar.dersbitis>='{$bugun}' AND (LOWER(gruplar.grupadi) LIKE '%{$metin}%' OR LOWER(gruplar.aciklama) LIKE '%{$metin}%' OR LOWER(gruplar.kelimeler) LIKE '%{$metin}%') ORDER BY gruplar.dersbaslama DESC");
            $bulunangrup = $sorgu->rowCount();
            $gruplar = $sorgu->fetchAll();

            $update = $db->query("UPDATE aramalar SET sonuc='{$bulunangrup}' WHERE aramano='{$aramano}'");
            $populersonuclar = $db->query("SELECT aramano,metin,COUNT(metin) FROM aramalar WHERE sonuc>0 GROUP by metin ORDER BY COUNT(metin) DESC LIMIT 5")->fetchAll();
            $oneriler = '';
            foreach ($populersonuclar as $item) {
                $oneriler.= '<div class="aranan"><a href="arama/'.$item->aramano.'">'.$item->metin.'</a></div>';
            }

        }else{
            header("location: /");
        }

    }else{
        header("location: /");
    }

    // echo $metin;
    // die();



    $grupbranslar = array();
    $iller = array();
    $count = array();
    $z = 0;
    while ($z <= 1000) {
        $count[$z] = 0;
        $z++;
    }
    foreach ($gruplar as $item) {
        $bransid = $item->bransid;
        $il = $item->subeadi;
        
        $count[$bransid]++;
        $count[$il]++;

        if(!in_array($bransid,$grupbranslar)){
            $grupbranslar[] = $bransid;
        }
        if(!in_array($il,$iller)){
            $iller[] = $il;
        }
    }

    $branslarr = $db->query("SELECT * FROM brans ORDER BY brans ASC")->fetchAll();
    $branss = array();
    foreach ($branslarr as $item) {
        $branss[$item->ID] = $item->brans;
    }

    $kacsayfa = intval($bulunangrup/$sayfadakactane);
    $tam = $kacsayfa*$sayfadakactane;
    if($tam<$bulunangrup){
        $kacsayfa++;
    }

    sort($iller);

    $desc = 'Akın Dil Eğitim Merkezi - Arama Sonuçları';
    

?>
<!DOCTYPE html>
<html lang="tr">

<?php require_once 'head.php'?>

<style>
    /* .filter-area {
        /* height:auto!important; */
        /* background-color:#f5f8ff!important; */
        /* border-radius:10px; */
    } */
    .dipnot{
        font-size:12px;
        color:crimson;
        font-weight:bold;
    }
    .grupkutucuk{
        display:block;
    }
    .sonucyok{
        min-height:450px;
        padding-top:40px;
        text-align:center;
        font-weight:bold;
        color:crimson;
    }
    .sonucyok span{
        color:#3c4858;
    }
    .sonucyok .sonucbulut{
        /* border:1px solid purple; */
        margin-top:20px;
        display:flex;
        align-items:center;
        justify-content:center;
    }
    .sonucyok .sonucbulut .aranan{
        padding:5px 10px;
        /* border:1px solid red; */
        background:red;
        border-radius: 10px;
        margin-right:10px;
    }
    .sonucyok .sonucbulut .aranan a{
        color:#fff;
    }
</style>
<body>
    <?php require_once 'google.php'?>



    <div class="main-wrapper">
        <?php require_once 'header.php'?>
        <main class="py-0">

            <section class="section-padding-2 bg-blue-light">
                <div class="container">
                    <div class="d-flex align-items-center flex-column">

                        <nav class="breadcrumb-nav section-padding-1" aria-label="breadcrumb">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="https://akindil.com/"><i class="icon-home"></i></a></li>
                                <li class="breadcrumb-item active" aria-current="page">Arama Sonuçları</li>
                            </ol>
                        </nav>
                        <h3 class="fw-bold h2 mb-20 text-center"><span class="text-red"><?php echo $metin?></span> Arama Sonuçları</h3>
                    </div>

                </div>
            </section>
            <?php
                if($bulunangrup>0){
            ?>
            <section class="bg-blue-light rounded-12">
                <div class="container">


                    <div class="row section-padding-1">
                        <!-- FİLTRE ALANI -->
                        <div class="col-lg-3">
                            <div class="filter-area">
                                <div class="filter-area-title d-flex justify-content-between align-items-center">
                                    <p class="h4 fw-900 mb-0 filter-title">Sonuçları Filtrele</p>
                                    <button class="filter-area-close"><i class="icon-plus"></i></button>
                                </div>

                                <!-- BRANŞ FİLTRE ALANI -->

                                <div class="mt-15 px-15">
                                    <p class="h4 fw-600">Eğitim Alanları</p>
                                    <?php
                                        $a = 0;
                                        while ($a < count($grupbranslar)) {

                                    ?>
                                    <label class="custom-radio-btn align-items-center fs-16 mb-5 bransfiltrele" data-bransid="<?php echo $grupbranslar[$a]?>">
                                        <input type="radio" name="filtre_brans" value="<?php echo $grupbranslar[$a]?>">
                                        <span class="checkmark"></span>
                                        <span class="ml-5"><?php echo $branss[$grupbranslar[$a]]?> <span class="dipnot">(<?php echo $count[$grupbranslar[$a]]?>)</span></span>
                                    </label>
                                    <?php
                                        $a++;
                                        }
                                    ?>
                                    <label class="custom-radio-btn align-items-center fs-16 mb-5 bransfiltrele" data-bransid="0">
                                        <input type="radio" name="filtre_brans" value="*" checked>
                                        <span class="checkmark"></span>
                                        <span class="ml-5">TÜMÜNÜ GÖSTER</span>
                                    </label>
                                </div>

                                <!-- ŞEHİR FİLTRE ALANI -->

                                <div class="mt-15 px-15">
                                    <p class="h4 fw-600">Şehir</p>
                                    <?php
                                        $a = 0;
                                        while ($a < count($iller)) {

                                    ?>
                                    <label class="custom-radio-btn align-items-center fs-16 mb-5 ilfiltrele" data-il="<?php echo seo($iller[$a])?>">
                                        <input type="radio" name="filtre_il" value="<?php echo seo($iller[$a])?>">
                                        <span class="checkmark"></span>
                                        <span class="ml-5"><?php echo $iller[$a]?> <span class="dipnot">(<?php echo $count[$iller[$a]]?>)</span></span>
                                    </label>
                                    <?php
                                        $a++;
                                        }
                                    ?>
                                    <?php
                                        
                                        if(count($iller)>1){
                                    ?>
                                    <label class="custom-radio-btn align-items-center fs-16 mb-5 ilfiltrele" data-il="*">
                                        <input type="radio" name="filtre_il" value="*" checked>
                                        <span class="checkmark"></span>
                                        <span class="ml-5">TÜMÜNÜ GÖSTER</span>
                                    </label>
                                    <?php
                                        }
                                    ?>
                                </div>
                            </div>
                        </div>
                        <!-- LİSTE ALANI -->
                        <div class="col-lg-9">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="d-flex justify-content-end">
                                        <button class="btn btn-outline-primary text-primary filter-area-btn mb-10">
                                            <svg width="21" height="21" viewBox="0 0 21 21" fill="none"
                                                xmlns="http://www.w3.org/2000/svg">
                                                <path
                                                    d="M10.5 6.125C14.8492 6.125 18.375 5.3415 18.375 4.375C18.375 3.4085 14.8492 2.625 10.5 2.625C6.15076 2.625 2.625 3.4085 2.625 4.375C2.625 5.3415 6.15076 6.125 10.5 6.125Z"
                                                    stroke="#304E7A" stroke-width="2" stroke-linecap="round"
                                                    stroke-linejoin="round" />
                                                <path
                                                    d="M2.625 4.375C2.625 6.32625 6.01212 10.2148 7.749 12.0794C8.38614 12.7548 8.7438 13.6464 8.75 14.5749V19.25L12.25 17.5V14.5749C12.25 13.6465 12.6184 12.7593 13.251 12.0794C14.9887 10.2148 18.375 6.32712 18.375 4.375"
                                                    stroke="#304E7A" stroke-width="2" stroke-linecap="round"
                                                    stroke-linejoin="round" />
                                            </svg>
                                            Filtrele
                                        </button>

                                    </div>

                                </div>
                                <?php
                                    $sira = 0;
                                    $sayfano = 0;
                                    foreach ($gruplar as $item) {
                                        $sira++;

                                        $kalan = $sira%$sayfadakactane;
                                        if($kalan==1){
                                            $sayfano++;
                                        }
                                        $grupid = $item->ID;

                                        $kesinkayitsayisi = $db->query("SELECT ID FROM kayitlar WHERE grupid='{$grupid}' AND kayitdurumu=2 AND durum=1")->rowCount();
                                        $rezervasyonsayisi = $db->query("SELECT ID FROM kayitlar WHERE grupid='{$grupid}' AND kayitdurumu=1 AND durum=1")->rowCount();
                                
                                        if($item->kontenjandus==0){
                                            $kayityaptiran = $kesinkayitsayisi;
                                        }else{
                                            $kayityaptiran = $kesinkayitsayisi + $rezervasyonsayisi;
                                        }
                                
                                        $kayityaptiran+=$fazladan;

                                        $grupgunleri = '';
                                        $program = $db->query("SELECT gun FROM dersprogrami WHERE grupid='{$grupid}' AND durum=1 GROUP BY gun")->fetchAll();
                                        foreach ($program as $prog) {
                                            $grupgunleri.=$gunler[$prog->gun] . ",";
                                        }

                                        $grupgunleri = rtrim($grupgunleri,",");

                                        
                                        if($item->kapakresim=="ahmetakin.jpg"){
                                            $kapakresim = seo($item->seobrans) . ".jpg";
                                        }else{
                                            // $kapakresim = $item->kapakresim;
                                            $kapakresim = seo($item->seobrans) . ".jpg";
                                        }
                                        
                                ?>
                                <!-- <div class="col-sm-6 col-xl-4 mb-15 grupkutucuk grupkutucuk-<?php echo $item->bransid?> grupsayfa grupsayfa-<?php echo $sayfano?> grupil grupil-<?php echo seo($item->subeadi)?>"> -->
                                <div class="col-sm-6 col-xl-4 mb-15 grupkutucuk" data-alan="<?php echo $item->bransid?>" data-sube="<?php echo seo($item->subeadi)?>">
                                    <div class="sube-detay-card rounded-14 ">
                                        <a href="kurs-detay/<?php echo seo($item->grupadi)?>/<?php echo $grupid?>" class="d-block">
                                            <img loading="lazy" src="img/subegrup/<?php echo $kapakresim?>" alt="Akın Dil Eğitim Merkezi" class=" rounded-14 w-100">
                                        </a>
                                        <div class="sube-detay-card__body">
                                            <p class="sube-detay-card_title"><?php echo $item->grupadi?></p>
                                            <hr class="my-15">
                                            <div class="row mb-5">
                                                <div class="col-6">
                                                    <span class="text-muted fw-600">Branş</span>
                                                </div>
                                                <div class="col-6">
                                                    <span class="fw-600"><?php echo $branss[$item->bransid]?></span>
                                                </div>
                                            </div>
                                            <div class="row mb-10">
                                                <div class="col-6">
                                                    <span class="text-muted fw-600">Şube</span>
                                                </div>
                                                <div class="col-6">
                                                    <span class="fw-600"><?php echo $item->subeadi?></span>
                                                </div>
                                            </div>
                                            <div class="row mb-10">
                                                <div class="col-6">
                                                    <span class="text-muted fw-600">Başlangıç Tarihi</span>
                                                </div>
                                                <div class="col-6">
                                                    <span class="fw-600"><?php echo tarihcevir($item->dersbaslama)?></span>
                                                </div>
                                            </div>
                                            <div class="row mb-10">
                                                <div class="col-6">
                                                    <span class="text-muted fw-600">Bitiş Tarihi</span>
                                                </div>
                                                <div class="col-6">
                                                    <span class="fw-600"><?php echo tarihcevir($item->dersbitis)?></span>
                                                </div>
                                            </div>
                                            <div class="row mb-10">
                                                <div class="col-6">
                                                    <span class="text-muted fw-600">Kontenjan</span>
                                                </div>
                                                <div class="col-6">
                                                    <span class="fw-600"><?php echo $kayityaptiran?>/<?php echo $item->kontenjan?></span>
                                                </div>
                                            </div>
                                            <div class="row mb-10">
                                                <div class="col-6">
                                                    <span class="text-muted fw-600">Ders Günleri</span>
                                                </div>
                                                <div class="col-6">
                                                    <span class="fw-600"><?php echo $grupgunleri?></span>
                                                </div>
                                            </div>
                                            <div class="row mb-10">
                                                <div class="col-6">
                                                    <span class="text-muted fw-600">Toplam Ders Saati</span>
                                                </div>
                                                <div class="col-6">
                                                    <span class="fw-600"><?php echo $item->derssaati?> Saat</span>
                                                </div>
                                            </div>
                                            <hr class="my-15">
                                            <a href="kurs-detay/<?php echo seo($item->grupadi)?>/<?php echo $grupid?>" class="btn btn-primary w-100">Dersi
                                                İncele</a>

                                        </div>
                                    </div>
                                </div>
                                <?php
                                    }
                                ?>

                                <!-- <div class="col-md-12">
                                    <div class=" d-flex justify-content-center section-padding-2">
                                        <nav>
                                            <ul class="pagination yds-pagination">
                                                <li class="page-item"> <a class="page-link" href="#"></a></li>
                                                <?php
                                                    for ($i=1; $i <= $kacsayfa ; $i++) { 

                                                ?>
                                                <li class="page-item active"><a class="page-link" href="#"><?php echo $i?></a></li>
                                                <?php
                                                    }                                                
                                                ?>
                                                <li class="page-item"><a class="page-link" href="#"></a></li>
                                            </ul>
                                        </nav>
                                    </div>
                                </div> -->


                            </div>


                        </div>




                    </div>


                </div>

            </section>
            <?php
                }else{
                    echo '
                        <section class="bg-blue-light rounded-12">
                            <div class="container">
                                <div class="sonucyok">
                                    
                                    ARAMANIZA AİT BİR SONUÇ BULAMADIK
                                    <br><br>
                                    <br><br>
                                    <span>aşağıdaki kelimelerden yeni bir arama yapmak ister misiniz?</span>
                                
                                    <div class="sonucbulut">
                        '.$oneriler.'
                                    </div>

                                </div>
                            </div>
                        </section>
                    ';
                }
            ?>
        </main>

        <?php require_once 'aboneol.php'?>

        <?php require_once 'footer.php'?>
    </div>

    <?php require_once 'script.php'?>
</body>

</html>