<?php
    require_once 'config/db.php';
    require_once 'config/function.php';

    $blogid = temizle($_GET["id"]);
    $blogtitle = temizle($_GET["title"]);

    if($blogid>0){
        $blog = $db->query("SELECT * FROM sube_blog WHERE ID='{$blogid}'");
        if($blog->rowCount()>0){
            $bloginfo = $blog->fetch();
            $siteTitle = '';
            $ekbaslik =  $bloginfo->baslik . " | Akın Dil";
            $subekodu = $bloginfo->subekodu;
            $bugun = date('Y-m-d');
            if($subekodu!=""){
                $bloglar = $db->query("SELECT * FROM sube_blog WHERE subekodu='{$subekodu}' AND durum='1' AND songecerlilik>='{$bugun}' ORDER BY ID DESC")->fetchAll();
            }else{
                $bloglar = $db->query("SELECT * FROM sube_blog WHERE durum='1' AND songecerlilik>='{$bugun}' ORDER BY ID DESC LIMIT 10")->fetchAll();
            }
            $actual_link = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http") . "://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
        }else{
           header("location: blog-list/all");
        }
    }else{
        header("location: blog-list/all");
    }

    $desc = 'Akın Dil Eğitim Merkezi - ' . $blogtitle;

?>
<!DOCTYPE html>
<html lang="tr">

<?php require_once 'head.php'?>


<body>
    <?php require_once 'google.php'?>



    <div class="main-wrapper">
        <?php require_once 'header.php'?>
        <main class="py-0">
            <div class="d-flex justify-content-center section-padding-2">
                <nav class="breadcrumb-nav" aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="https://akindil.com/"><i class="icon-home"></i></a></li>
                        <li class="breadcrumb-item"><a href="blog-list/<?php echo $subekodu?>">Blog</a></li>
                        <li class="breadcrumb-item active" aria-current="page"><?php echo $bloginfo->baslik?></li>
                    </ol>
                </nav>
            </div>

            <section>
                <div class="container container-blog">
                    <article class="blog-details">
                        <div class="page-info mb-40">
                            <h1 class="page-info__title"><?php echo $bloginfo->baslik?></h1>
                        </div>
                        <div class="d-flex align-items-center mb-20 ">
                            <small class="text-muted"><?php echo tarihcevir($bloginfo->olusturma)?></small>
                        </div>
                        <figure class="cover-img">
                            <img loading="lazy" src="img/subeduyuru/<?php echo $bloginfo->banner?>"
                                alt="Akın Dil Eğitim Merkezi" class="w-100">
                            <figcaption class="text-muted"><?php echo $bloginfo->baslik?></figcaption>
                        </figure>
                        <div class="blog-details_content">
                            <div class="share-buttons sticky-top">
                                <small class="m-2 fw-600">Paylaş</small>
                                <!-- <a href="" class="m-2">
                                    <svg width="36" height="36" viewBox="0 0 36 36" fill="none"
                                        xmlns="http://www.w3.org/2000/svg">
                                        <path
                                            d="M3.00602 33L5.03402 25.548C3.69773 23.2573 2.99566 20.652 3.00002 18C3.00002 9.7155 9.71552 3 18 3C26.2845 3 33 9.7155 33 18C33 26.2845 26.2845 33 18 33C15.3492 33.0043 12.745 32.3028 10.455 30.9675L3.00602 33ZM12.5865 10.962C12.3928 10.974 12.2035 11.025 12.03 11.112C11.8673 11.2041 11.7188 11.3193 11.589 11.454C11.409 11.6235 11.307 11.7705 11.1975 11.913C10.6431 12.6345 10.3449 13.5201 10.35 14.43C10.353 15.165 10.545 15.8805 10.845 16.5495C11.4585 17.9025 12.468 19.335 13.8015 20.6625C14.1225 20.982 14.436 21.303 14.7735 21.6015C16.4286 23.0587 18.4009 24.1096 20.5335 24.6705L21.387 24.801C21.6645 24.816 21.942 24.795 22.221 24.7815C22.6579 24.7589 23.0844 24.6407 23.4705 24.435C23.667 24.3338 23.8587 24.2237 24.045 24.105C24.045 24.105 24.1095 24.063 24.2325 23.97C24.435 23.82 24.5595 23.7135 24.7275 23.538C24.852 23.409 24.96 23.2575 25.0425 23.085C25.1595 22.8405 25.2765 22.374 25.3245 21.9855C25.3605 21.6885 25.35 21.5265 25.3455 21.426C25.3395 21.2655 25.206 21.099 25.0605 21.0285L24.1875 20.637C24.1875 20.637 22.8825 20.0685 22.086 19.7055C22.002 19.6689 21.912 19.648 21.8205 19.644C21.7179 19.6335 21.6142 19.645 21.5164 19.6779C21.4186 19.7107 21.329 19.7641 21.2535 19.8345V19.8315C21.246 19.8315 21.1455 19.917 20.061 21.231C19.9988 21.3146 19.913 21.3779 19.8147 21.4126C19.7164 21.4473 19.61 21.452 19.509 21.426C19.4113 21.3999 19.3155 21.3668 19.2225 21.327C19.0365 21.249 18.972 21.219 18.8445 21.1635L18.837 21.1605C17.9789 20.7858 17.1844 20.2798 16.482 19.6605C16.293 19.4955 16.1175 19.3155 15.9375 19.1415C15.3474 18.5764 14.8331 17.937 14.4075 17.2395L14.319 17.097C14.2555 17.0012 14.2041 16.898 14.166 16.7895C14.109 16.569 14.2575 16.392 14.2575 16.392C14.2575 16.392 14.622 15.993 14.7915 15.777C14.9327 15.5975 15.0643 15.4107 15.186 15.2175C15.363 14.9325 15.4185 14.64 15.3255 14.4135C14.9055 13.3875 14.4705 12.366 14.0235 11.352C13.935 11.151 13.6725 11.007 13.434 10.9785C13.353 10.9695 13.272 10.9605 13.191 10.9545C12.9896 10.9445 12.7877 10.9465 12.5865 10.9605V10.962Z"
                                            fill="#0E0C21" />
                                    </svg>
                                </a> -->

                                <a target="_blank" rel="nofollow" href="https://twitter.com/intent/tweet?url=<?php echo $actual_link?>&text=<?php echo $bloginfo->baslik?>" target="_blank" class="m-2">
                                    <svg width="36" height="36" viewBox="0 0 36 36" fill="none"
                                        xmlns="http://www.w3.org/2000/svg">
                                        <path
                                            d="M33 8.70031C31.8725 9.18946 30.6801 9.51281 29.46 9.66031C30.7473 8.8913 31.7119 7.68149 32.175 6.25531C30.9653 6.97541 29.6411 7.48276 28.26 7.75531C27.3368 6.75417 26.1075 6.08776 24.7647 5.86059C23.422 5.63342 22.0418 5.85835 20.8407 6.5001C19.6396 7.14184 18.6854 8.16411 18.1279 9.40657C17.5703 10.649 17.4409 12.0414 17.76 13.3653C15.3141 13.2416 12.9217 12.6047 10.738 11.4961C8.5543 10.3875 6.62827 8.83185 5.085 6.93031C4.54371 7.87557 4.25928 8.94605 4.26 10.0353C4.25808 11.0469 4.50633 12.0432 4.98263 12.9357C5.45894 13.8281 6.14853 14.5889 6.99 15.1503C6.01197 15.1237 5.05483 14.8613 4.2 14.3853V14.4603C4.20733 15.8777 4.70399 17.249 5.60597 18.3423C6.50795 19.4356 7.75988 20.1838 9.15 20.4603C8.61488 20.6232 8.05931 20.709 7.5 20.7153C7.11284 20.7108 6.72663 20.6757 6.345 20.6103C6.74086 21.8295 7.50693 22.895 8.53661 23.6586C9.56629 24.4221 10.8084 24.8456 12.09 24.8703C9.9258 26.5732 7.25383 27.5026 4.5 27.5103C3.9986 27.512 3.4976 27.4819 3 27.4203C5.81164 29.2357 9.08822 30.1994 12.435 30.1953C14.7445 30.2193 17.0357 29.7828 19.1747 28.9114C21.3136 28.04 23.2575 26.7511 24.8928 25.1201C26.5281 23.489 27.8219 21.5484 28.6988 19.4117C29.5757 17.2749 30.0181 14.9849 30 12.6753C30 12.4203 30 12.1503 30 11.8803C31.177 11.0025 32.1922 9.92645 33 8.70031Z"
                                            fill="#0E0C21" />
                                    </svg>
                                </a>
                                <a target="_blank" rel="nofollow" href="http://www.facebook.com/sharer.php?u=<?php echo $actual_link?>" target="_blank" class="m-2">
                                    <svg width="36" height="36" viewBox="0 0 36 36" fill="none"
                                        xmlns="http://www.w3.org/2000/svg">
                                        <path
                                            d="M31.35 3H4.65C4.21239 3 3.79271 3.17384 3.48327 3.48327C3.17384 3.79271 3 4.21239 3 4.65V31.35C3 31.5667 3.04268 31.7812 3.1256 31.9814C3.20852 32.1816 3.33006 32.3635 3.48327 32.5167C3.63649 32.6699 3.81839 32.7915 4.01857 32.8744C4.21876 32.9573 4.43332 33 4.65 33H19.02V21.375H15.12V16.875H19.02V13.5C18.9392 12.7076 19.0328 11.9072 19.2941 11.1548C19.5554 10.4024 19.9781 9.71632 20.5327 9.14462C21.0872 8.57292 21.7602 8.12946 22.5042 7.84536C23.2483 7.56125 24.0455 7.44338 24.84 7.5C26.0075 7.49282 27.1744 7.55291 28.335 7.68V11.73H25.95C24.06 11.73 23.7 12.63 23.7 13.935V16.83H28.2L27.615 21.33H23.7V33H31.35C31.5667 33 31.7812 32.9573 31.9814 32.8744C32.1816 32.7915 32.3635 32.6699 32.5167 32.5167C32.6699 32.3635 32.7915 32.1816 32.8744 31.9814C32.9573 31.7812 33 31.5667 33 31.35V4.65C33 4.43332 32.9573 4.21876 32.8744 4.01857C32.7915 3.81839 32.6699 3.63649 32.5167 3.48327C32.3635 3.33006 32.1816 3.20852 31.9814 3.1256C31.7812 3.04268 31.5667 3 31.35 3V3Z"
                                            fill="#0E0C21" />
                                    </svg>
                                </a>
                                <a target="_blank" rel="nofollow" href="http://www.linkedin.com/shareArticle?mini=true&url=<?php echo $actual_link?>&title=<?php echo $bloginfo->baslik?>" target="_blank" class="m-2">
                                    <svg width="36" height="36" viewBox="0 0 36 36" fill="none"
                                        xmlns="http://www.w3.org/2000/svg">
                                        <path
                                            d="M30.7051 3.00021H5.29509C5.00946 2.99624 4.72584 3.04858 4.46044 3.15424C4.19503 3.25989 3.95304 3.41679 3.74828 3.61598C3.54353 3.81516 3.38001 4.05274 3.26708 4.31512C3.15414 4.57751 3.094 4.85958 3.09009 5.14521V30.8552C3.094 31.1408 3.15414 31.4229 3.26708 31.6853C3.38001 31.9477 3.54353 32.1853 3.74828 32.3844C3.95304 32.5836 4.19503 32.7405 4.46044 32.8462C4.72584 32.9518 5.00946 33.0042 5.29509 33.0002H30.7051C30.9907 33.0042 31.2743 32.9518 31.5397 32.8462C31.8051 32.7405 32.0471 32.5836 32.2519 32.3844C32.4567 32.1853 32.6202 31.9477 32.7331 31.6853C32.846 31.4229 32.9062 31.1408 32.9101 30.8552V5.14521C32.9062 4.85958 32.846 4.57751 32.7331 4.31512C32.6202 4.05274 32.4567 3.81516 32.2519 3.61598C32.0471 3.41679 31.8051 3.25989 31.5397 3.15424C31.2743 3.04858 30.9907 2.99624 30.7051 3.00021ZM12.1351 28.1102H7.63509V14.6102H12.1351V28.1102ZM9.88509 12.7202C9.26448 12.7202 8.66929 12.4737 8.23046 12.0348C7.79162 11.596 7.54509 11.0008 7.54509 10.3802C7.54509 9.7596 7.79162 9.16442 8.23046 8.72558C8.66929 8.28675 9.26448 8.04021 9.88509 8.04021C10.2146 8.00284 10.5484 8.03549 10.8644 8.13603C11.1805 8.23658 11.4717 8.40274 11.7191 8.62365C11.9665 8.84456 12.1644 9.11523 12.2999 9.41793C12.4354 9.72064 12.5055 10.0486 12.5055 10.3802C12.5055 10.7119 12.4354 11.0398 12.2999 11.3425C12.1644 11.6452 11.9665 11.9159 11.7191 12.1368C11.4717 12.3577 11.1805 12.5238 10.8644 12.6244C10.5484 12.7249 10.2146 12.7576 9.88509 12.7202ZM28.3651 28.1102H23.8651V20.8652C23.8651 19.0502 23.2201 17.8652 21.5851 17.8652C21.0791 17.8689 20.5864 18.0276 20.1733 18.32C19.7603 18.6123 19.4468 19.0242 19.2751 19.5002C19.1577 19.8528 19.1068 20.2241 19.1251 20.5952V28.0952H14.6251C14.6251 28.0952 14.6251 15.8252 14.6251 14.5952H19.1251V16.5002C19.5339 15.7909 20.1285 15.2065 20.8448 14.81C21.5611 14.4135 22.3719 14.22 23.1901 14.2502C26.1901 14.2502 28.3651 16.1852 28.3651 20.3402V28.1102Z"
                                            fill="#0E0C21" />
                                    </svg>

                                </a>

                            </div>

                            <div class="my-2">
                                <?php echo CkEditorGetir($bloginfo->aciklama)?>
                            </div>


                        </div>
                    </article>

                </div>



            </section>

            <section class="section-padding-3">
                <div class="container container-blog">
                    <h3 class="h5 section-title mb-3"> <span class="text-red">İlginizi çekebilecek</span> diğer yazılar
                    </h3>
                    <div class="row">
                    <?php
                            foreach ($bloglar as $item) {
                                if($item->ID!=$blogid){

                        ?>
                            <div class="col-md-3 mb-15 h-100">
                                <a href="blog-detay/<?php echo seo($item->baslik)?>/<?php echo $item->ID?>" class="blog ">
                                    <div class="blog__img">
                                        <img loading="lazy" class="w-100 "
                                            src="img/subeduyuru/<?php echo $item->banner?>"
                                            alt="<?php echo $item->baslik?>">
                                        <!-- <span class="category">YAŞAM</span> -->
                                    </div>
                                    <article class="blog__body">
                                        <span class="publish-date d-flex align-items-center">
                                            <i class="icon-time mr-5"></i>
                                            <?php echo tarihcevir($item->olusturma)?>
                                        </span>
                                        <h4 class="title"><?php echo $item->baslik?></h4>

                                    </article>
                                </a>
                            </div>

                        <?php
                                }
                            }
                        ?>
                    </div>

                </div>
            </section>



        </main>

        <?php require_once 'aboneol.php'?>

        <?php require_once 'footer.php'?>
    </div>

    <?php require_once 'script.php'?>
</body>

</html>