<!DOCTYPE html>
<html lang="tr">
    <?php
        $desc = 'Akın Dil Eğitim Merkezi - Ücretsiz Kaynaklar';
    ?>

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=1" />
    <title>akindil.com</title>
    <link rel="stylesheet" href="css/swiper-bundle.min.css">
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <link rel="stylesheet" href="css/sm-core-css.css" type="text/css" />
    <link rel="stylesheet" href="css/jquery.fancybox.min.css">
    <link rel="stylesheet" href="css/simple-calendar.css">
    <link rel="stylesheet" href="css/aos.css">
    <link rel="stylesheet" href="css/main.css">
</head>

<body>
    <div class="overlay"></div>

    <style>
        .countdown-wrapper{
            background-color: #304e7a;
        }
        .date-box {
            min-width: 50px;
            max-width: 50px;
            height: 50px;
            display: flex;
            justify-content: center;
            align-items: center;
            flex-direction: column;
            background-color: white;
            margin: 0 5px;
            border-radius: 10%;
            font-size: 0.85rem;
        }

        .close-countdown {
            position: absolute;
            right: 0px;
            top: 0px;
            font-size: 1.5rem;
            color: white;
            line-height: 1;
            padding: 5px;
            font-weight: 900;
        }

        @-webkit-keyframes hvr-pop {
            50% {
                -webkit-transform: scale(1.3);
                transform: scale(1.3);
            }
        }

        @keyframes hvr-pop {
            50% {
                -webkit-transform: scale(1.3);
                transform: scale(1.3);
            }
        }

        .hvr-pop {
            -webkit-transform: perspective(1px) translateZ(0);
            transform: perspective(1px) translateZ(0);
            box-shadow: 0 0 1px rgba(0, 0, 0, 0);
            -webkit-animation-name: hvr-pop;
            animation-name: hvr-pop;
            -webkit-animation-duration: 0.2s;
            animation-duration: 0.2s;
            -webkit-animation-timing-function: linear;
            animation-timing-function: linear;
            -webkit-animation-iteration-count: 1;
            animation-iteration-count: 1;
        }
    </style>



    <div class="main-wrapper">
        <div class="p-2 countdown-wrapper">
            <div class="container position-relative container-blog">
                <div class="row align-items-center ">
                    <div class="col-md-4 my-1">
                        <p class="fw-600 text-white mb-0 fs-18">Ahmet AKIN ile 2022 İlkbahar YÖKDİL Kampını Erken
                            Al
                            <span class="text-info">%40</span> Daha Az Öde!
                        </p>
                    </div>
                    <div class="col-md-4 offset-md-1 my-1">
                        <div class="">
                            <div class="countdown d-flex text-primary" id="countdown">
                                <div class="date-box days"></div>
                                <div class="date-box hours"></div>
                                <div class="date-box minutes"></div>
                                <div class="date-box seconds"></div>
                            </div>

                        </div>
                    </div>
                    <div class="col-md-3 my-1 ">
                        <a href="" class="btn btn-danger px-30 rounded-3">Hemen Satın Al</a>
                    </div>
                </div>
                <button class="btn close-countdown">x</button>
            </div>
        </div>
        <header class="bg-white header-shadow">
            <div class="header">
                <div class="header-left ">
                    <a href="" class="d-block">
                        <img loading="lazy" src="img/logo.png" alt="Akın Dil Eğitim Merkezi" class="logo" width="200px">
                    </a>
                </div>
                <div class="header-center">
                    <nav class="main-nav" id="main-nav">
                        <ul id="main-menu" class="sm sm-clean">
                            <li><a href="">ANASAYFA</a></li>
                            <li><a href="">KURS İŞLEMLERİ</a></li>
                            <li><a href="">ONLİNE İŞLEMLER</a></li>
                            <li><a href="">ŞUBELERİMİZ</a></li>
                            <li><a href="">İNSAN KAYNAKLARI</a></li>
                            <li class="hide-more-lg">
                                <a href="" class="d-flex btn btn-white btn-with-ico shadow-sm mr-10">
                                    <i class="btn-ico gray icon-calendar"></i>
                                    <span class="btn-text text-red">
                                        Online Eğitim
                                    </span>
                                </a>
                            </li>
                            <li class="hide-more-lg">
                                <a href="" class="d-flex btn btn-white btn-with-ico shadow-sm mr-10">
                                    <i class="btn-ico gray icon-user"></i>
                                    <span class="btn-text text-gray-soft">
                                        Giriş Yap
                                    </span>
                                </a>
                            </li>

                        </ul>
                    </nav>

                </div>
                <div class="header-right">
                    <a href="" class="btn btn-white btn-with-ico shadow-sm mr-10 hide-less-lg">
                        <i class="btn-ico gray icon-calendar"></i>
                        <span class="btn-text text-red">
                            Online Eğitim
                        </span>
                    </a>
                    <a href="" class="btn btn-white btn-with-ico shadow-sm mr-10 hide-less-lg">
                        <i class="btn-ico gray icon-user"></i>
                        <span class="btn-text text-gray-soft">
                            Giriş Yap
                        </span>
                    </a>

                    <div class="burger">
                        <span></span>
                    </div>
                </div>
            </div>
        </header>
        <main class="py-0">
            <section class="section-padding-3">
                <div class="container container-blog">
                    <nav class="breadcrumb-nav" aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="#"><i class="icon-home"></i></a></li>
                            <li class="breadcrumb-item active" aria-current="page">Kaynaklar</li>
                        </ol>
                    </nav>
                    <div class="section-padding-1">
                        <h1 class="h2 text-center">Tüm <span class="text-red">Kaynaklar</span></h1>
                    </div>
                </div>
            </section>
            <section class="px-10">

                <div class="container container-blog">
                    <div class="content-card list-detail-card">
                        <div class="content-card__body py-0 px-15 position-relative">
                            <div class="filter-box">
                                <div class="filter-box__left section-padding-1">
                                    <div class="filter-info">
                                        <svg width="17" height="14" viewBox="0 0 17 14" fill="none"
                                            xmlns="http://www.w3.org/2000/svg">
                                            <g opacity="0.5">
                                                <path
                                                    d="M15.5 0H0.863636C0.363636 0 0 0.363636 0 0.863636C0 1.31818 0.363636 1.72727 0.863636 1.72727H15.5C15.9545 1.72727 16.3636 1.36364 16.3636 0.863636C16.3636 0.363636 15.9545 0 15.5 0Z"
                                                    fill="#717B96" />
                                                <path
                                                    d="M10.3182 5.90918H0.863636C0.409091 5.90918 0 6.27282 0 6.77282C0 7.27282 0.363636 7.63645 0.863636 7.63645H10.3182C10.7727 7.63645 11.1818 7.27282 11.1818 6.77282C11.1818 6.27282 10.8182 5.90918 10.3182 5.90918Z"
                                                    fill="#717B96" />
                                                <path
                                                    d="M5.13636 12.2729H0.863636C0.409091 12.2729 0 12.6366 0 13.1366C0 13.5911 0.363636 14.0002 0.863636 14.0002H5.18182C5.63636 14.0002 6.04545 13.6366 6.04545 13.1366C6 12.6366 5.63636 12.2729 5.13636 12.2729Z"
                                                    fill="#717B96" />
                                            </g>
                                        </svg>

                                        <span class="text-gray-soft ml-10"><span class="text-gray-dark fw-bold">12
                                                soru-cevap
                                            </span>listeleniyor</span>
                                    </div>
                                    <div class="drp-wrapper filter-dropdown ">

                                        <button
                                            class="icon-btn icon-btn--white btn-cta drp-btn mr-10 text-gray-soft filter-drp-btn"
                                            type="button" data-target-menu="#drpOnlineExamFilter">
                                            <i class="icon-filter btn-icon fs-18"></i>
                                        </button>


                                        <div class="drp-content" id="drpOnlineExamFilter">
                                            <div class="drp-menu__body p-20">
                                                <div>
                                                    <label class="custom-radio-btn mb-20">
                                                        <input type="radio" name="filter">
                                                        <span class="checkmark"></span>
                                                        <span class="text">YDS</span>
                                                    </label>
                                                    <label class="custom-radio-btn mb-20">
                                                        <input type="radio" name="filter">
                                                        <span class="checkmark"></span>
                                                        <span class="text">YDS</span>
                                                    </label>
                                                    <label class="custom-radio-btn">
                                                        <input type="radio" name="filter">
                                                        <span class="checkmark"></span>
                                                        <span class="text">YDS</span>
                                                    </label>
                                                </div>

                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="filter-box__center section-padding-1">
                                    <ul class="nav tab-menu--primary">
                                        <li class="nav-item">
                                            <a class="nav-link active disabled" aria-current="page" href="#">Tümü</a>
                                        </li>
                                        <li class="nav-item">
                                            <a class="nav-link" href="#">YDS ÇIKMIŞ SORULAR</a>
                                        </li>
                                        <li class="nav-item">
                                            <a class="nav-link" href="#">YKS ÇIKMIŞ SORULAR</a>
                                        </li>
                                        <li class="nav-item">
                                            <a class="nav-link" href="#">YDS ÇIKMIŞ SORULAR</a>
                                        </li>
                                        <li class="nav-item">
                                            <a class="nav-link" href="#">YKS ÇIKMIŞ SORULAR</a>
                                        </li>
                                        <li class="nav-item">
                                            <a class="nav-link" href="#">YDS ÇIKMIŞ SORULAR</a>
                                        </li>
                                        <li class="nav-item">
                                            <a class="nav-link" href="#">YKS ÇIKMIŞ SORULAR</a>
                                        </li>
                                        <li class="nav-item">
                                            <a class="nav-link" href="#">YDS ÇIKMIŞ SORULAR</a>
                                        </li>
                                        <li class="nav-item">
                                            <a class="nav-link" href="#">YKS ÇIKMIŞ SORULAR</a>
                                        </li>
                                        <li class="nav-item">
                                            <a class="nav-link" href="#">YDS ÇIKMIŞ SORULAR</a>
                                        </li>
                                        <li class="nav-item">
                                            <a class="nav-link" href="#">YKS ÇIKMIŞ SORULAR</a>
                                        </li>


                                    </ul>
                                </div>
                                <div class="filter-box__right section-padding-1">
                                    <select class="form-select select2-basic bg-light border-0" name="numberprefix"
                                        required="" data-parsley-errors-container="#numberPrefixError">
                                        <option value="">İsme Göre</option>
                                        <option value="">Tarihe Göre</option>
                                        <option value="">Traihe Göre</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="d-flex justify-content-center mb-30 hide-more-lg">
                        <svg width="17" height="14" viewBox="0 0 17 14" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <g opacity="0.5">
                                <path
                                    d="M15.5 0H0.863636C0.363636 0 0 0.363636 0 0.863636C0 1.31818 0.363636 1.72727 0.863636 1.72727H15.5C15.9545 1.72727 16.3636 1.36364 16.3636 0.863636C16.3636 0.363636 15.9545 0 15.5 0Z"
                                    fill="#717B96" />
                                <path
                                    d="M10.3182 5.90918H0.863636C0.409091 5.90918 0 6.27282 0 6.77282C0 7.27282 0.363636 7.63645 0.863636 7.63645H10.3182C10.7727 7.63645 11.1818 7.27282 11.1818 6.77282C11.1818 6.27282 10.8182 5.90918 10.3182 5.90918Z"
                                    fill="#717B96" />
                                <path
                                    d="M5.13636 12.2729H0.863636C0.409091 12.2729 0 12.6366 0 13.1366C0 13.5911 0.363636 14.0002 0.863636 14.0002H5.18182C5.63636 14.0002 6.04545 13.6366 6.04545 13.1366C6 12.6366 5.63636 12.2729 5.13636 12.2729Z"
                                    fill="#717B96" />
                            </g>
                        </svg>

                        <span class="text-gray-soft ml-10"><span class="text-gray-dark fw-bold">12 soru-cevap
                            </span>listeleniyor</span>
                    </div>

                    <div>
                        <div class="panel mb-20">
                            <div class="panel__header">
                                <h2 class="fs-18 fw-bold">YDS Sınavları</h2>

                            </div>
                            <div class="panel__body">
                                <a href="" class="d-block mb-15 ">
                                    <div class="feature-card text-gray-soft py-0">
                                        <span class="feature-icon shadow-sm bg-light icon-right-arrow mr-10"></span>
                                        <div class="d-flex flex-column fw-500">
                                            <span class="fs-14 text-gray-soft">YDS - Eylül 2020 Sınavı</span>
                                        </div>
                                    </div>
                                </a>
                                <a href="" class="d-block mb-15">
                                    <div class="feature-card text-gray-soft py-0">
                                        <span class="feature-icon shadow-sm bg-light icon-right-arrow mr-10"></span>
                                        <div class="d-flex flex-column fw-500">
                                            <span class="fs-14 text-gray-soft">YDS - Eylül 2020 Sınavı</span>
                                        </div>
                                    </div>
                                </a>

                            </div>
                        </div>

                        <div class="panel">
                            <div class="panel__header">
                                <h2 class="fs-18 fw-bold">YÖKDİL Sınavları</h2>

                            </div>
                            <div class="panel__body">
                                <div class="accordion" id="accordionExample">
                                    <div class="group-details__box p-15 mb-10">
                                        <div class="accordion-item">
                                            <h4 class="accordion-header" id="headingOne">
                                                <button class="accordion-button" type="button" data-bs-toggle="collapse"
                                                    data-bs-target="#collapseOne" aria-expanded="true"
                                                    aria-controls="collapseOne">
                                                    YÖKDİL FEN SINAVLARI
                                                </button>


                                            </h4>
                                            <div id="collapseOne" class="accordion-collapse collapse show"
                                                aria-labelledby="headingOne" data-bs-parent="#accordionExample">
                                                <div class="accordion-body ">
                                                    <a href="" class="d-block mb-15 ">
                                                        <div class="feature-card text-gray-soft py-0">
                                                            <span
                                                                class="feature-icon shadow-sm bg-light icon-right-arrow mr-10"></span>
                                                            <div class="d-flex flex-column fw-500">
                                                                <span class="fs-14 text-gray-soft">YDS - Eylül 2020
                                                                    Sınavı</span>
                                                            </div>
                                                        </div>
                                                    </a>
                                                    <a href="" class="d-block mb-15">
                                                        <div class="feature-card text-gray-soft py-0">
                                                            <span
                                                                class="feature-icon shadow-sm bg-light icon-right-arrow mr-10"></span>
                                                            <div class="d-flex flex-column fw-500">
                                                                <span class="fs-14 text-gray-soft">YDS - Eylül 2020
                                                                    Sınavı</span>
                                                            </div>
                                                        </div>
                                                    </a>
                                                    <a href="" class="d-block mb-15 ">
                                                        <div class="feature-card text-gray-soft py-0">
                                                            <span
                                                                class="feature-icon shadow-sm bg-light icon-right-arrow mr-10"></span>
                                                            <div class="d-flex flex-column fw-500">
                                                                <span class="fs-14 text-gray-soft">YDS - Eylül 2020
                                                                    Sınavı</span>
                                                            </div>
                                                        </div>
                                                    </a>
                                                    <a href="" class="d-block mb-15">
                                                        <div class="feature-card text-gray-soft py-0">
                                                            <span
                                                                class="feature-icon shadow-sm bg-light icon-right-arrow mr-10"></span>
                                                            <div class="d-flex flex-column fw-500">
                                                                <span class="fs-14 text-gray-soft">YDS - Eylül 2020
                                                                    Sınavı</span>
                                                            </div>
                                                        </div>
                                                    </a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="group-details__box p-15 mb-10">
                                        <div class="accordion-item">
                                            <h2 class="accordion-header" id="headingTwo">
                                                <button class="accordion-button collapsed" type="button"
                                                    data-bs-toggle="collapse" data-bs-target="#collapseTwo"
                                                    aria-expanded="false" aria-controls="collapseTwo">
                                                    YÖKDİL Sağlık Sınavları
                                                </button>
                                            </h2>
                                            <div id="collapseTwo" class="accordion-collapse collapse"
                                                aria-labelledby="headingTwo" data-bs-parent="#accordionExample">
                                                <div class="accordion-body">
                                                    <strong>This is the second item's accordion body.</strong> It is
                                                    hidden
                                                    by default, until
                                                    the collapse
                                                    plugin adds the appropriate classes that we use to style each
                                                    element.
                                                    These classes control
                                                    the overall
                                                    appearance, as well as the showing and hiding via CSS transitions.
                                                    You
                                                    can modify any of
                                                    this with
                                                    custom CSS or overriding our default variables. It's also worth
                                                    noting
                                                    that just about any
                                                    HTML can go
                                                    within the <code>.accordion-body</code>, though the transition does
                                                    limit overflow.
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="group-details__box p-15 mb-10">
                                        <div class="accordion-item">
                                            <h2 class="accordion-header" id="headingThree">
                                                <button class="accordion-button collapsed" type="button"
                                                    data-bs-toggle="collapse" data-bs-target="#collapseThree"
                                                    aria-expanded="false" aria-controls="collapseThree">
                                                    YÖKDİL Sosyal Sınavları
                                                </button>
                                            </h2>
                                            <div id="collapseThree" class="accordion-collapse collapse"
                                                aria-labelledby="headingThree" data-bs-parent="#accordionExample">
                                                <div class="accordion-body">
                                                    <strong>This is the third item's accordion body.</strong> It is
                                                    hidden
                                                    by default, until the
                                                    collapse
                                                    plugin adds the appropriate classes that we use to style each
                                                    element.
                                                    These classes control
                                                    the overall
                                                    appearance, as well as the showing and hiding via CSS transitions.
                                                    You
                                                    can modify any of
                                                    this with
                                                    custom CSS or overriding our default variables. It's also worth
                                                    noting
                                                    that just about any
                                                    HTML can go
                                                    within the <code>.accordion-body</code>, though the transition does
                                                    limit overflow.
                                                </div>
                                            </div>
                                        </div>
                                    </div>




                                </div>

                            </div>
                        </div>
                    </div>





                    <div class="py-30 mt-40 d-flex justify-content-center">
                        <nav>
                            <ul class="pagination yds-pagination">
                                <li class="page-item disabled"> <a class="page-link" href="#"></a>
                                </li>
                                <li class="page-item active"><a class="page-link" href="#">1</a></li>
                                <li class="page-item"><a class="page-link" href="#">2</a></li>
                                <li class="page-item"><a class="page-link" href="#">...</a></li>
                                <li class="page-item"><a class="page-link" href="#">3</a></li>
                                <li class="page-item"><a class="page-link" href="#"></a></li>
                            </ul>
                        </nav>
                    </div>

                </div>


            </section>


        </main>

        <section class="bg-red section-padding-3 text-white">
            <div class="container">
                <div class="row align-items-center">
                    <div class="col-md-5">
                        <p class="h2 fw-600 mb-0">Eğitimlerden <br>
                            Haberdar Olmak İster Misiniz ?</p>
                    </div>
                    <div class="col-md-6 offset-md-1">
                        <div class="d-flex flex-column">
                            <p class="">En son güncellemelerden haberdar olmak ve fırsatları yakalamak için
                                abone olun.</p>
                            <div class="subscribe-form w-desktop-75">
                                <form action="">
                                    <input type="email" class="subscribe-form__input rounded-pill"
                                        placeholder="Eposta adresinizi yazın">
                                    <button class="btn subscribe-form__btn rounded-pill shadow-sm">
                                        <svg width="25" height="25" viewBox="0 0 25 25" fill="none"
                                            xmlns="http://www.w3.org/2000/svg">
                                            <path
                                                d="M2.59372 9.76271L22.125 2.37062C22.1954 2.34368 22.2722 2.33771 22.346 2.35343C22.4197 2.36916 22.4874 2.40592 22.5407 2.45926C22.5941 2.5126 22.6308 2.58025 22.6465 2.65403C22.6623 2.72781 22.6563 2.80456 22.6294 2.87502L15.2373 22.4063C15.2079 22.4804 15.1565 22.5438 15.09 22.5879C15.0235 22.632 14.945 22.6547 14.8653 22.6528C14.7855 22.651 14.7082 22.6249 14.6438 22.5778C14.5793 22.5307 14.5309 22.4651 14.5048 22.3897L11.2138 14.2798C11.1755 14.1649 11.1109 14.0604 11.0252 13.9748C10.9395 13.8891 10.8351 13.8245 10.7202 13.7862L2.61032 10.4981C2.53392 10.4726 2.46724 10.4242 2.41941 10.3595C2.37158 10.2947 2.34493 10.2167 2.34312 10.1362C2.3413 10.0557 2.3644 9.97665 2.40926 9.90979C2.45412 9.84292 2.51854 9.79156 2.59372 9.76271V9.76271Z"
                                                stroke="white" stroke-linecap="round" stroke-linejoin="round" />
                                            <path d="M22.4609 2.53906L11.084 13.916" stroke="white"
                                                stroke-linecap="round" stroke-linejoin="round" />
                                        </svg>
                                        Abone Ol

                                    </button>
                                </form>

                            </div>
                        </div>

                    </div>
                </div>

            </div>

        </section>

        <footer class="main-footer pt-40">
            <div class="container">
                <div class="row py-60">
                    <div class="col-lg-3 mb-4">
                        <div>
                            <img loading="lazy" src="img/logo-white.png" alt="Akın Dil Eğitim Merkezi" class="footer-logo mb-30">
                        </div>
                        <div class="footer-contact-icon align-items-center">
                            <span class="icon-box">
                                <i class="icon-phone"></i>
                            </span>
                            <span class="text-red fw-bold  ml-10 text">+90 312 <span class="text-white">236 48
                                    00</span></span>
                        </div>

                        <div class="footer-contact-icon">
                            <span class="icon-box">
                                <i class="icon-location-footer"></i>
                            </span>
                            <span class=" ml-10 w-50 text">Macun mah. 177. cad. No:19 J Blok No:3 Timko 2
                                sokak
                                Yenimahalle/ANKARA<br><br>info@akindil.net</span>
                        </div>


                    </div>
                    <div class="col-lg-3 mb-4">
                        <ul class="footer-menu">
                            <li>akindil.com</li>
                            <li><a href="">Hakkımızda</a></li>
                            <li><a href="">Sık Sorulan Sorular</a></li>
                            <li><a href="">YDS.net’de Neler Var?</a></li>
                            <li><a href="">İletişim</a></li>
                        </ul>
                    </div>
                    <div class="col-lg-3 mb-4">
                        <ul class="footer-menu">
                            <li>Kurumsal</li>
                            <li><a href="">Hesap Numaraları</a></li>
                            <li><a href="">Kullanıcı Sözleşmesi</a></li>
                            <li><a href="">Gizlilik Sözleşmesi</a></li>
                            <li><a href="">İptal ve İade Bilgileri</a></li>
                            <li><a href="">Kişisel Verilerin İşlenmesi Metni</a></li>
                            <li><a href="">Teslimat Bilgileri</a></li>
                        </ul>
                    </div>
                    <div class="col-lg-3 mb-4">
                        <div class="d-flex flex-column align-items-end">
                            <div class="footer-social-icons">
                                <a href="">
                                    <svg width="12" height="24" viewBox="0 0 12 24" fill="none"
                                        xmlns="http://www.w3.org/2000/svg">
                                        <path fill-rule="evenodd" clip-rule="evenodd"
                                            d="M11.2528 4.3176C10.5728 4.1816 9.65436 4.08001 9.07676 4.08001C7.51277 4.08001 7.41117 4.76 7.41117 5.848V7.7848H11.3208L10.98 11.7968H7.41117V24H2.51599V11.7968H0L0 7.7848H2.51599V5.3032C2.51599 1.904 4.11359 0 8.12478 0C9.51837 0 10.5384 0.204001 11.864 0.476001L11.2528 4.3176Z" />
                                    </svg>
                                </a>

                                <a href="">
                                    <svg width="25" height="20" viewBox="0 0 25 20" fill="none"
                                        xmlns="http://www.w3.org/2000/svg">
                                        <path fill-rule="evenodd" clip-rule="evenodd"
                                            d="M24.61 2.36732C23.7052 2.76926 22.7315 3.03994 21.7103 3.16216C22.7528 2.53711 23.5534 1.54786 23.9299 0.369122C22.9555 0.948238 21.8735 1.3674 20.7243 1.59462C19.8031 0.613568 18.4899 0 17.0388 0C14.2507 0 11.99 2.26068 11.99 5.0488C11.99 5.44418 12.0351 5.82971 12.1212 6.19965C7.9247 5.98966 4.20474 3.97916 1.71438 0.924451C1.27963 1.67008 1.03109 2.53712 1.03109 3.4624C1.03109 5.21369 1.92109 6.75909 3.27701 7.66468C2.44853 7.63843 1.6709 7.41121 0.989252 7.03306V7.09622C0.989252 9.54311 2.7307 11.5831 5.03896 12.0482C4.6157 12.1631 4.16947 12.2254 3.70929 12.2254C3.38364 12.2254 3.06702 12.1934 2.75859 12.1344C3.40087 14.1399 5.26618 15.6 7.47519 15.6411C5.74768 16.9945 3.57067 17.8025 1.20499 17.8025C0.796488 17.8025 0.394553 17.7787 0 17.7311C2.23444 19.1633 4.88803 20 7.73931 20C17.0257 20 22.104 12.3066 22.104 5.6353C22.104 5.41629 22.0999 5.1981 22.0892 4.98237C23.0769 4.26873 23.9332 3.37954 24.61 2.36732Z" />
                                    </svg>
                                </a>
                                <a href="">
                                    <svg width="25" height="24" viewBox="0 0 25 24" fill="none"
                                        xmlns="http://www.w3.org/2000/svg">
                                        <path fill-rule="evenodd" clip-rule="evenodd"
                                            d="M6.15612 2.39344C6.15612 3.69825 5.16261 4.75421 3.60894 4.75421C2.1158 4.75421 1.12229 3.69825 1.15304 2.39344C1.12229 1.02521 2.11577 0 3.6387 0C5.16259 0 6.12633 1.02521 6.15612 2.39344ZM1.27795 21.8177V6.61918H6.00142V21.8167H1.27795V21.8177Z" />
                                        <path fill-rule="evenodd" clip-rule="evenodd"
                                            d="M9.78507 11.4697C9.78507 9.57401 9.72261 7.95789 9.66016 6.62137H13.7629L13.981 8.7035H14.0742C14.6959 7.73978 16.2496 6.28027 18.767 6.28027C21.8743 6.28027 24.2053 8.33166 24.2053 12.8053V21.8199H19.4818V13.3972C19.4818 11.438 18.7987 10.1025 17.0893 10.1025C15.7836 10.1025 15.0072 11.0037 14.6969 11.8733C14.572 12.1846 14.5105 12.6189 14.5105 13.0551V21.8199H9.78698V11.4697H9.78507Z" />
                                    </svg>
                                </a>
                                <a href="">
                                    <svg width="25" height="24" viewBox="0 0 25 24" fill="none"
                                        xmlns="http://www.w3.org/2000/svg">
                                        <path
                                            d="M12.7568 2.0592C15.8083 2.0592 16.1698 2.07086 17.3749 2.12584C18.4892 2.17665 19.0943 2.36283 19.497 2.51934C20.0305 2.72667 20.4112 2.97432 20.8111 3.37422C21.211 3.77416 21.4587 4.15487 21.666 4.68833C21.8225 5.09104 22.0087 5.69617 22.0595 6.81045C22.1145 8.01554 22.1261 8.37702 22.1261 11.4285C22.1261 14.4801 22.1145 14.8416 22.0595 16.0467C22.0087 17.161 21.8225 17.7661 21.666 18.1688C21.4587 18.7023 21.211 19.083 20.8111 19.4829C20.4112 19.8828 20.0305 20.1305 19.497 20.3378C19.0943 20.4943 18.4892 20.6805 17.3749 20.7313C16.17 20.7863 15.8085 20.7979 12.7568 20.7979C9.70495 20.7979 9.34356 20.7863 8.1386 20.7313C7.02432 20.6805 6.41918 20.4943 6.01647 20.3378C5.48301 20.1305 5.1023 19.8828 4.7024 19.4829C4.3025 19.083 4.0548 18.7023 3.84748 18.1688C3.69096 17.7661 3.50478 17.161 3.45397 16.0467C3.39899 14.8416 3.38733 14.4801 3.38733 11.4285C3.38733 8.37702 3.39899 8.01554 3.45397 6.81045C3.50478 5.69617 3.69096 5.09104 3.84748 4.68833C4.0548 4.15487 4.30245 3.77416 4.7024 3.37426C5.1023 2.97432 5.48301 2.72667 6.01647 2.51934C6.41918 2.36283 7.02432 2.17665 8.1386 2.12584C9.3437 2.07086 9.70517 2.0592 12.7568 2.0592ZM12.7568 0C9.65291 0 9.26372 0.0131561 8.04473 0.0687745C6.82829 0.124257 5.9975 0.31747 5.27056 0.599963C4.51903 0.892027 3.88168 1.28281 3.24629 1.91816C2.61094 2.55355 2.22016 3.19089 1.92813 3.94242C1.6456 4.66936 1.45238 5.50015 1.3969 6.71659C1.34128 7.93556 1.32812 8.32476 1.32812 11.4285C1.32812 14.5324 1.34128 14.9216 1.3969 16.1406C1.45238 17.357 1.6456 18.1878 1.92813 18.9147C2.22016 19.6663 2.61094 20.3036 3.24629 20.939C3.88168 21.5743 4.51903 21.9651 5.27056 22.2571C5.9975 22.5397 6.82829 22.7329 8.04473 22.7884C9.26372 22.844 9.65291 22.8571 12.7568 22.8571C15.8606 22.8571 16.2498 22.844 17.4687 22.7884C18.6852 22.7329 19.516 22.5397 20.2429 22.2571C20.9944 21.9651 21.6318 21.5743 22.2672 20.939C22.9025 20.3036 23.2933 19.6663 23.5854 18.9147C23.8679 18.1878 24.0611 17.357 24.1166 16.1406C24.1722 14.9216 24.1853 14.5324 24.1853 11.4285C24.1853 8.32476 24.1722 7.93556 24.1166 6.71659C24.0611 5.50015 23.8679 4.66936 23.5854 3.94242C23.2933 3.19089 22.9025 2.55355 22.2672 1.91816C21.6318 1.28281 20.9944 0.892027 20.2429 0.599963C19.516 0.31747 18.6852 0.124257 17.4687 0.0687745C16.2498 0.0131561 15.8606 0 12.7568 0Z" />
                                        <path
                                            d="M12.7594 5.56396C9.51813 5.56396 6.89062 8.19146 6.89062 11.4327C6.89062 14.6739 9.51813 17.3014 12.7594 17.3014C16.0006 17.3014 18.6281 14.6739 18.6281 11.4327C18.6281 8.19146 16.0006 5.56396 12.7594 5.56396ZM12.7594 15.2422C10.6554 15.2422 8.94983 13.5366 8.94983 11.4327C8.94983 9.32874 10.6554 7.62316 12.7594 7.62316C14.8633 7.62316 16.5689 9.32874 16.5689 11.4327C16.5689 13.5366 14.8633 15.2422 12.7594 15.2422Z" />
                                        <path
                                            d="M20.2351 5.328C20.2351 6.08538 19.621 6.69941 18.8636 6.69941C18.1062 6.69941 17.4922 6.08538 17.4922 5.328C17.4922 4.57057 18.1062 3.95654 18.8636 3.95654C19.621 3.95654 20.2351 4.57057 20.2351 5.328Z" />
                                    </svg>
                                </a>
                            </div>
                            <div class="footer-store-links">
                                <a href="#">
                                    <img loading="lazy" src="img/google-play.png" alt="Akın Dil Eğitim Merkezi">
                                </a>
                                <a href="#">
                                    <img loading="lazy" src="img/app-store.png" alt="Akın Dil Eğitim Merkezi">
                                </a>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-12 bg-light order-features my-40">
                        <div class="row">
                            <div class="col-lg-4 mb-20">
                                <div class="order-feature d-flex align-items-center">
                                    <span class="icon-box mr-15">
                                        <i class="icon-ship-security"></i>
                                    </span>
                                    <span>256Bit SSL ile güvenli alışveriş yapın.</span>
                                </div>
                            </div>
                            <div class="col-lg-4 mb-20">
                                <div class="order-feature d-flex align-items-center">
                                    <span class="icon-box mr-15">
                                        <i class="icon-ship-car"></i>
                                    </span>
                                    <span>Saat 15.00' a kadar verdiğiniz siparişler aynı gün kargoda.</span>
                                </div>
                            </div>
                            <div class="col-lg-4">
                                <div class="order-feature d-flex align-items-center">
                                    <span class="icon-box mr-15">
                                        <i class="icon-ship-device"></i>
                                    </span>
                                    <span>Dilediğiniz heryeden eğitimin keyfini çıkarın.</span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-12">
                        <div class="row footer-shop-details text-center">
                            <div class="col-md-3  mb-20">
                                <img loading="lazy" src="img/payment-logos.png" alt="Akın Dil Eğitim Merkezi" class="w-75  payment-card-img">
                            </div>
                            <div class="col-md-2 offset-md-2 mb-20">
                                <img loading="lazy" src="img/ssl-footer.png" alt="Akın Dil Eğitim Merkezi" class="w-75  payment-card-img">
                            </div>
                            <div class="col-md-3 offset-md-2 mb-20">
                                <img src="img/bank-logos.png" alt="Akın Dil Eğitim Merkezi" class="w-75  payment-card-img">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="separator"></div>
            <div class="copyright pt-40 pb-30">
                <div class="container text-center">
                    <div class="d-flex flex-column">
                        <small class="text-white mb-5">© Copyright 2021 by YDS.NET. All Rights Reserved. İçeriklerin
                            Tüm
                            Hakları
                            YDS.NET'e aittir.</small>
                        <small class="text-white">Epsilon Uzaktan Eğitim Otomasyon Sistemi, Powered BY
                            ONLINEKURUM.COM</small>
                    </div>
                </div>
            </div>
        </footer>
    </div>

    <script src="js/jquery.min.js"></script>
    <script src="js/jquery.smartmenus.js"></script>
    <script src="js/lazysizes.min.js" async=""></script>
    <script src="js/jquery.fancybox.min.js"></script>
    <script src="js/swiper-bundle.min.js"></script>
    <script src="js/bootstrap.bundle.min.js"></script>
    <script src="js/parsley.min.js"></script>
    <script src="js/aos.js"></script>
    <script src="js/jquery.simple-calendar.js"></script>
    <script src="js/main.js"></script>
    <script>
        // CountDownTimer('03/29/2022 10:15 AM', '.countdown');
        CountDownTimer('2022-03-31 18:00:00', '.countdown');

        function CountDownTimer(dt, element) {
            var end = new Date(dt);

            var _second = 1000;
            var _minute = _second * 60;
            var _hour = _minute * 60;
            var _day = _hour * 24;
            var timer;

            function showRemaining() {
                var now = new Date();
                var distance = end - now;
                if (distance < 0) {
                    clearInterval(timer);
                    document.querySelector('.countdown-wrapper').style.display = 'none';
                    return;
                }
                var days = Math.floor(distance / _day);
                var hours = Math.floor((distance % _day) / _hour);
                var minutes = Math.floor((distance % _hour) / _minute);
                var seconds = Math.floor((distance % _minute) / _second);


                (days > 0) ? document.querySelector(`${element} .days`).innerHTML = `<strong class="fs-16">${days}</strong>gün  ` : document.querySelector(`${element} .days`).style.display = 'none';
                document.querySelector(`${element} .hours`).innerHTML = `<strong class="fs-16">${hours}</strong>saat  `;
                document.querySelector(`${element} .minutes`).innerHTML = `<strong class="fs-16">${minutes}</strong>dakika  `;
                document.querySelector(`${element} .seconds`).innerHTML = `<strong class="fs-16 hvr-pop">${seconds}</strong>saniye  `;
            }

            timer = setInterval(showRemaining, 1000);
        }
        $('.close-countdown').click(function () {
            $('.countdown-wrapper').fadeOut(100);
        })
    </script>
</body>

</html>