<?php

    error_reporting(E_ALL);
    ini_set("display_errors", 1);

    require_once '../../config/db.php';
	require_once '../../config/function.php';
    require_once "../dist/excel/SimpleXLSX.php";

    $xlsx = SimpleXLSX::parse("liste.xlsx");
    $kayitlar = $xlsx->rows();
    $kayitsayisi = count($kayitlar);


?>

<!DOCTYPE html>
<html lang="tr">
<head>
    <?php require_once '../meta.php'?>
</head>
<style>
    body{
        font-family: 'Roboto', sans-serif;
        font-size:12px;
        width:100%;
        height:100vh;
    }
</style>
<body>
    
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="card card-info">
                    <div class="card-header">Öğrenci İletişim Bilgileri</div>
                    <div class="card-body">
                        <table class="table table-hover table-bordered table-striped datatable">
                            <thead>
                                <tr>
                                    <th class="merkez">#</th>
                                    <th class="merkez">E-Posta</th>
                                    <th class="merkez">Ad Soyad</th>
                                    <th class="merkez">Cep Telefonu</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                    for($i=1;$i<$kayitsayisi;$i++){
                                        $eposta = $kayitlar[$i][0];  
                                        $ogrenci = $db->query("SELECT ceptelefonu,ad,soyad FROM ogrenciler WHERE eposta='{$eposta}' LIMIT 1")->fetch();
                                        $adsoyad = $ogrenci->adsoyad;
                                        $ceptelefonu = $ogrenci->ceptelefonu;
                                ?>
                                <tr>
                                    <td class="merkez"><?php echo $i?></td>
                                    <td class="merkez"><?php echo $eposta?></td>
                                    <td class="merkez"><?php echo $adsoyad?></td>
                                    <td class="merkez"><?php echo $ceptelefonu?></td>
                                </tr>
                                <?php
                                    }
                                ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <?php require_once 'scripts.php'?>
</body>
</html>