<?php
    require_once '../config/db.php';
    require_once '../config/function.php';

    if(isset($_GET["kayitno"])){
        $kayitno = temizle($_GET["kayitno"]);
        $tarih = temizle($_GET["tarih"]);
        $sorgu = $db->query("SELECT * FROM odemekayitlari WHERE durum=1 AND kayitno='{$kayitno}' ORDER BY taksitno ASC LIMIT 1");
        $kayitsayisi = $sorgu->rowCount();
        if($kayitsayisi>0){
            $kayitlar = $sorgu->fetchAll();
            $kayit = $db->query("SELECT * FROM kayitlar WHERE kayitno='{$kayitno}'")->fetch();
            $ogrencino = $kayit->ogrencino;
            $ogrenci = $db->query("SELECT * FROM ogrenciler WHERE ogrencino='{$ogrencino}'")->fetch();
            $subekodu = $kayit->subekodu;
            $sube = $db->query("SELECT * FROM subeler WHERE subekodu='{$subekodu}'")->fetch();


            $bugun = date('Y-m-d');
            $dogumgunu = $ogrenci->dogumtarihi;


            $d1 = new DateTime($bugun);
            $d2 = new DateTime($dogumgunu);

            $diff = $d2->diff($d1);

            $yas = $diff->y;

            if($yas<18){
                $senetkisi = $kayit->senetkisi;
                $senettckimlikno = $kayit->senettckimlikno;
                $senetadres = $kayit->senetadres;
            }else{
                $senetkisi = $ogrenci->ad . " " . $ogrenci->soyad;
                $senettckimlikno = $ogrenci->tckimlikno;
                $senetadres = $ogrenci->mahalle. " " . $ogrenci->adres . ", " . $ogrenci->ilce . " / " . $ogrenci->il;
            }



            $sayfasayisi = intval($kayitsayisi/2)*2;
            if($sayfasayisi<$kayitsayisi){
                $kacsayfa = intval($kayitsayisi/2)+1;
            }else{
                $kacsayfa = intval($kayitsayisi/2);
            }
        }else{
            die("Hata : Kayıt Bulunamadı");
        }

    }else{
        die("Hata : Üst Bilgi Hatalı");
    }
?>
<!DOCTYPE html>
<html lang="tr">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="senetfiles/bootstrap.min.css">
    <link rel="stylesheet" href="senetfiles/jquery.min.js">
    <link rel="stylesheet" href="senetfiles/print_r.js">
    <link rel="stylesheet" href="senetfiles/functions.js">
    <title><?php echo $ogrenci->ad . " " . $ogrenci->soyad . " Senetleri"?></title>
    <script type="text/javascript">
        function printPage() {
            print(document);
        }
    </script>
</head>
<style>
    body {

        background: rgb(204, 204, 204);
    }

    page {
        background: white;
        display: block;
        margin: 0 auto;
        margin-bottom: 0.5cm;
        /*   box-shadow: 0 0 0.5cm rgba(0,0,0,0.5); */
    }

    page[size="A4"] {
        width: 21cm;
        height: 29.7cm;
    }
    table {
        width: 100%;
    }

    th {
        height: 50px;
    }
    .uzuncss{
        margin-top:25px !important;
        -webkit-transform:rotate(-90deg);
        -moz-transform:rotate(-90deg);
        -o-transform:rotate(-90deg);
        -ms-transform:rotate(-90deg);
    }
</style>
<body cz-shortcut-listen="true">

        <?php
            $kayno = 0;
            for ($i=1; $i <= $kacsayfa ; $i++) { 
                $sayfa_kayitno_1 = $kayno;
                $ilkborc = $kayit->toplamtutar;
                $yazi_1 = yaziyacevir(intval($ilkborc)) . " Türk Lirası ";
                $kayno+=2;
        ?>
        <page size="A4">
            <table style="margin-bottom: 25%;">  
                <tbody>
                    <tr>
                        <td>


                            <div class="xmeta meta-1" style="border:1px dotted;padding:5px;width: 750px !important;height: 430px;margin: 20px;">
                                <table>
                                    <tbody>
                                        <tr>
                                            <td><strong>Ödeme Günü</strong></td>
                                            <td><strong>Türk Lirası</strong></td>
                                            <td><strong>Kuruş</strong></td>
                                            <td><strong>No</strong></td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <?php
                                                    if($tarih>'2000-01-01'){
                                                        echo tarihcevir($tarih);
                                                    }else{
                                                        echo date('d.m.Y');
                                                    }
                                                ?>
                                            </td>
                                            <td>#<?php echo number_format($kayit->toplamtutar,0)?>#</td>
                                            <td>#00#</td>
                                            <td><?php echo $kayitlar[$sayfa_kayitno_1]->ID?></td>
                                        </tr>
                                    </tbody>
                                </table>

                                <div class="row" style="margin-top:15px !important;">
                                    <div class="col-sm-12">İşbu emre muharrer senedimin mukabilinde <?php echo tarihcevir($tarih)?> tarihinde Sayın <?php echo $sube->unvan?>
                                        veyahut
                                        emruhavale................... Yukarıda Yazılı yalnız <?php echo $yazi_1?>  ödeyeceğim.
                                        Bedeli şahsıma ahzolunmuştur. İş bu bono vadesinde ödenmediği takdirde müteakip bonolarında muacceliyet
                                        kesbedeceğini, İhtilaf vukuunda 
                                        <?php 
                                            if($sube->il=="İSTANBUL"){
                                                $mahkemeil = "ANKARA";
                                            }else{
                                                $mahkemeil = $sube->il;
                                            }
                                            echo $mahkemeil
                                        ?>
                                        Mahkemelerinin selahiyatını şimdiden kabul eylerim.
                                        <br>
                                        <br>
                                    </div>

                                    <table style="margin-top: 50px">
                                        <tbody>
                                            <tr>
                                                <td style="width: 10%">
                                                    <div class="col-sm-1 uzuncss"><strong style="border-bottom:2px solid;">Ödeyecek</strong></div>
                                                </td>
                                                <td style="width: 480px">
                                                    <div class="col-sm-6"><strong>İsim:</strong> <?php echo $senetkisi . " ( " . $ogrenci->ceptelefonu . " )"?>,<br>
                                                        <strong>Adres:</strong> <?php echo $senetadres?><br>
                                                        <strong>TC Kimlik No:</strong> <?php echo $senettckimlikno?><br>
                                                        <strong>Vergi Dairesi Hesap No:</strong> <br>
                                                        <strong>Kefil:</strong> 
                                                    </div>
                                                </td>
                                                <td style="width: 120px">
                                                    <strong>Düzenleme Tarihi:</strong> <?php echo date('d.m.Y')?><br>
                                                    <br>
                                                    <strong>İmza:</strong>&nbsp;&nbsp;&nbsp;&nbsp;

                                                </td>
                                                <td style="padding-top:60px;">&nbsp;<strong>İmza:</strong></td>
                                            </tr>

                                        </tbody>
                                    </table>


                                </div>
                            </div>
                        </td>
                    </tr>
                </tbody>
            </table>
            <table>
            </table>
        </page>
        <?php
            }
        ?>


</body>
</html>